﻿namespace TestProject
{
    /// <summary>
    /// 매트릭스
    /// </summary>
    public static class Matrix
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Laplacian 5X5 - Laplacian5X5

        /// <summary>
        /// Laplacian 5X5
        /// </summary>
        public static double[,] Laplacian5X5
        {
            get
            {
                return new double[,]
                {
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, 24, -1, -1 },
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, -1, -1, -1 }
                };
            }
        }

        #endregion
        #region Gaussian 3X3 - Gaussian3X3

        /// <summary>
        /// Gaussian 3X3
        /// </summary>
        public static double[,] Gaussian3X3
        {
            get
            {
                return new double[,]
                {
                    { 1, 2, 1 },
                    { 2, 4, 2 },
                    { 1, 2, 1 }
                };
            }
        }

        #endregion
    }
}